/*  GSMP - General Sound Manipulation Program
 *  Copyright (C) 2000-2001 Valentin Ziegler and Ren Rebe
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Short Description:
 *   
 */

#include "StatusBar.hh"

class DefaultMainWindowGtk : public GSMP::MainWindow, public WindowGtk
{
public:
  DefaultMainWindowGtk (GSMP::App* i_app, GSMP::View* i_view);
  ~DefaultMainWindowGtk ();

  virtual GSMP::GUI::Window* Win ();

  gint delete_event_impl(GdkEventAny*);

private:
  MenuBarGtk* m_menubar;
  Gtk::VBox m_box;
  Widget* m_impl;
  StatusBar* m_statusbar;

  void SlotViewImplChanged ();
};


// TODO
class DefaultSimpleWindowGtk : public GSMP::SimpleWindow, public WindowGtk
{
public:
  DefaultSimpleWindowGtk (GSMP::App* i_app, GSMP::View* i_view);

  virtual GSMP::GUI::Window* Win ();
};
