/* PluginInterface.hh  (C) by V. Ziegler 2001
 
 ***************************************************************************
 *                                                                         *
 *   This code is free software; you can redistribute it and / or modify   *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PLUGIN_INTERFACE_HH
#define PLUGIN_INTERFACE_HH

#include "Factory.hh"
#include "Macros/Macros.hh"


namespace GSMX_utils
{
  namespace Plugin
  {
    using namespace std;

    class Interface
    {
    public:
      string constructor;
      Info info;
    };

    typedef const deque <Interface*>& (*get_interface) ();

  }; // namespace Plugin
}; //namespace GSMX_utils

#endif // PLUGIN_INTERFACE_HH
