//test prog for some GSML Stuff;-)

#include <stdio.h>
#include <iostream.h>
#include <stdlib.h> //rand ...
#include <ctype.h>  //toupper
#include <string.h> //memset

#include "include.hh"
#include "typedefs.hh"
#include "Data.hh"

#define TEST_SIZE 100
#define TEST_SIZE2 10000

using namespace GSML;

void test_it (SampleBuffer* me)
{
  sample_index used_length;
  pcm_16bit::value_type this_data[TEST_SIZE];
  
  cout << "length: " << me->Length () << endl;
  used_length = me->UsedLength();
  cout << "used_lenth: " << used_length << endl;
  
  if (used_length != TEST_SIZE)
    cout << "UsedLength of Buffer wrong!" << endl;
  else
    cout << "UsedLength correct ..." << endl;

  me->ReadData (0, used_length, this_data);
  
  for (int count = 0; count < used_length; count++)
    {
      cout << this_data[count];
      if (this_data[count] != count)
	cout << "(corrupted!)";
      cout << ", ";
    }
  cout << endl;

}

main ()
{
  SampleBuffer16Bit* test;
  pcm_16bit::value_type data [TEST_SIZE];
  
  cout << "Test prog for PCM_Sample_buffer:" << endl;
  
  cout << "creating test_obj ..." << endl;
  test = new SampleBuffer16Bit (TEST_SIZE * 10);
  
  cout << "test_1" << endl;
  for (int count = 0; count < TEST_SIZE; count++)
    {
      data [count] (count);
    }

  test->WriteData (TEST_SIZE, data);
  if (test->UsedLength () != TEST_SIZE)
    cout << "UsedLength of Buffer wrong!" << endl;
  else
    cout << "UsedLength correct ..." << endl;
  test_it (test);

  delete test;

  cout << "test if static creation is possible:" << endl;
  
  SampleBuffer16Bit static_test (10);
  cout << "OK. - Some (realy old) bug caused this to fail ..." << endl;

  //---------------------------------------------------------
  cout << "testing of GSML_Data_File" << endl;
  
  try
    {
      cout << "test 4 GSMP_Data_File:" << endl;
      
      SampleBuffer16Bit* my_buffer;
      SampleBuffer16Bit* my_buffer_2;
      DataFileRAW* my_data_file;
      
      pcm_16bit pcm_type;
      
      cout << "OK, creating GSMP_Data_File_RAW Obj ..." << endl;
      my_data_file = new DataFileRAW ("testtrack1.pcm",
				      &pcm_type, 1, 44100, 0,
				      true, false); // writeable, autodelete
      my_buffer = new SampleBuffer16Bit (TEST_SIZE2);
      my_buffer_2 = new SampleBuffer16Bit (TEST_SIZE2);
      
      cout << "creating test data ..." << endl;
      for (int i = 0; i < TEST_SIZE2; i++)
	my_buffer->data[i] (i);
      
      my_buffer->SetUsedLength (TEST_SIZE2);

      cout << "writing data to file ..." << endl;
      my_data_file->WriteData (TEST_SIZE2, 0, my_buffer, 0);
      my_data_file->WriteData (TEST_SIZE2, 0, my_buffer, 0);
      my_data_file->WriteData (TEST_SIZE2, 0, my_buffer, 0);
      my_data_file->WriteData (TEST_SIZE2, 0, my_buffer, 0);
      
      cout << "fixate_write ..." << endl;
      my_data_file->FixateWrite ();
      
      cout << "OK, deleting GSMP_Data_File_RAW Obj ..." << endl;
      delete my_data_file;
      
      cout << "OK, creating GSMP_Data_File_RAW Obj ..." << endl;
      my_data_file = new DataFileRAW ("testtrack1.pcm",
				      &pcm_type, 2, 0,
				      false, false);

      cout << "reading data from file ..." << endl;
      my_data_file->ReadData (0, TEST_SIZE2, 0, my_buffer_2);
      
      cout << "OK, deleting GSMP_Data_File_RAW Obj ..." << endl;
      delete my_data_file;
      delete my_buffer;
      delete my_buffer_2;
    }
  catch (DataFile::Except e)
    {
      cout << "DataFile Exception!!" << endl;
      cout << e.info << endl;
    }

  return 0;
}
