#include <Menu.hh>

namespace GSMP
{
  class App : public Menu::MenuData
  {
  public:
    void CheckThisFunc ()
    {
      cout << " App -> CheckThisFunc Called" << endl; 
    }

    App (Menu::MenuManager* mm)
    {
      mm -> InitializeMenuData (this);
    }
  };


  class Project : public Menu::MenuData
  {
  public:
    void CheckThisFunc ()
    {
      cout << " Project [" << i << "] -> CheckThisFunc Called" << endl; 
    }

    Project (Menu::MenuManager* mm, App* ia, int i)
    {
      mm -> InitializeMenuData (this);
      m_app = ia;
      this -> i = i;
    }

    App* GetApp () {return m_app;}
    const App* GetApp () const {return m_app;}


  private:
    App* m_app;
    int i;
  };

  class View : public Menu::MenuData
  {
  public:
    void CheckThisFunc ()
    {
      cout << " View [" << i << "] -> CheckThisFunc Called" << endl; 
    }

    View (Menu::MenuManager* mm, Project* ip, int i)
    {
      mm -> InitializeMenuData (this);
      m_project = ip;
      this -> i = i;
    }

    Project* GetProject () {return m_project;}
    const Project* GetProject () const {return m_project;}

  private:
    Project* m_project;
    int i;
  };
}
